Debian Bug report logs - #687176
fonts-taml-udeb: Broken 'space' glyph

version graph

Package: fonts-taml-udeb; Maintainer for fonts-taml-udeb is Debian-IN Team <debian-in-workers@lists.alioth.debian.org>; Source for fonts-taml-udeb is src:fonts-samyak.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Mon, 10 Sep 2012 15:15:01 UTC

Severity: serious

Tags: d-i, upstream

Found in version fonts-samyak/1.2.2-2

Fixed in version fonts-samyak/1.2.2-3

Done: Vasudev Kamath <kamathvasudev@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://sarovar.org/tracker/index.php?func=detail&aid=4356&group_id=461&atid=1930

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, debian-boot@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>:
Bug#687176; Package fonts-taml-udeb. (Mon, 10 Sep 2012 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, debian-boot@lists.debian.org, Debian-IN Team <debian-in-workers@lists.alioth.debian.org>. (Mon, 10 Sep 2012 15:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fonts-taml-udeb: Broken 'space' glyph
Date: Mon, 10 Sep 2012 17:12:21 +0200
[Message part 1 (text/plain, inline)]
Package: fonts-taml-udeb
Version: 1.2.2-2
Severity: serious
Tags: d-i
Justification: Breaks Tamil display

Hi,

I've noted problems with displaying the 'space' glyph in d-i, and
managed to reproduce it outside d-i. Looking at the Samyak-Tamil.ttf it
looks to me that having 'space' as glyph #0 is a bad idea. Fontforge
says:
  0 (0x0000) U+0020 .notdef SPACE

>From past experiments at work, ISTR that glyph 0 (noted .notdef anyway)
isn't too be used, which could explain that issue.

One could probably fix this issue by “moving” that glyph to a non-0
glyph ID, keeping a dummy/not def glyph for glyph ID 0.

To reproduce the bug in a non-d-i environment, I installed fonts-taml,
used strace to locate which ttf was loaded:
  /usr/share/fonts/truetype/lohit-tamil/Lohit-Tamil.ttf

And I then overwrote this with the one shipped in the fonts-taml-udeb
udeb, then started 'yelp' with this command:
  LANGUAGE=ta_IN yelp

Screenshot attached.

It would be nice to have a fix in time for the merge window mentioned
here:
  http://lists.debian.org/debian-devel/2012/09/msg00196.html

Thanks for considering.

Mraw,
KiBi.
[broken-tamil.png (image/png, attachment)]

Added tag(s) upstream. Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Mon, 10 Sep 2012 15:33:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://sarovar.org/tracker/index.php?func=detail&aid=4356&group_id=461&atid=1930'. Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Mon, 10 Sep 2012 15:33:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Sat, 15 Sep 2012 13:03:04 GMT) Full text and rfc822 format available.

Reply sent to Vasudev Kamath <kamathvasudev@gmail.com>:
You have taken responsibility. (Sat, 15 Sep 2012 17:36:09 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 15 Sep 2012 17:36:09 GMT) Full text and rfc822 format available.

Message #16 received at 687176-close@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 687176-close@bugs.debian.org
Subject: Bug#687176: fixed in fonts-samyak 1.2.2-3
Date: Sat, 15 Sep 2012 17:32:48 +0000
Source: fonts-samyak
Source-Version: 1.2.2-3

We believe that the bug you reported is fixed in the latest version of
fonts-samyak, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687176@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vasudev Kamath <kamathvasudev@gmail.com> (supplier of updated fonts-samyak package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 15 Sep 2012 17:44:11 +0530
Source: fonts-samyak
Binary: fonts-samyak fonts-samyak-deva fonts-samyak-gujr fonts-samyak-mlym fonts-samyak-orya fonts-samyak-taml fonts-taml-udeb
Architecture: source all
Version: 1.2.2-3
Distribution: unstable
Urgency: high
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Changed-By: Vasudev Kamath <kamathvasudev@gmail.com>
Description: 
 fonts-samyak - Samyak TrueType fonts for Indian languages
 fonts-samyak-deva - Samyak TrueType font for Devanagari script
 fonts-samyak-gujr - Samyak TrueType font for Gujarati language
 fonts-samyak-mlym - Samyak TrueType font for Malayalam language
 fonts-samyak-orya - Samyak TrueType font for Oriya language
 fonts-samyak-taml - Samyak TrueType font for Tamil language
 fonts-taml-udeb - Free TrueType fonts for Tamil language (udeb) (udeb)
Closes: 687176
Changes: 
 fonts-samyak (1.2.2-3) unstable; urgency=high
 .
   * Bug fix: "Broken 'space' glyph", thanks to Cyril Brulebois
     (Closes: #687176).
   * debian/patches:
     + 02_fonts-makefile.patch is renaming of fonts-makefile.patch
     + 01_samyak-tamil-fix.patch was introduced to fix the above bug
       thanks to Kartik Mistry for the timely patch
   * Removed the Makefile from the master branch this file should be
     introduced by 02_fonts-makefile.patch was accidentally added to
     the upstream source
   * Removed .pc/ directory from git this should not be part of package
     it was a stray added to the git by mistake
Checksums-Sha1: 
 098e99df701cd596ecebea1f745ba9f20a1bff52 1670 fonts-samyak_1.2.2-3.dsc
 61f6c17199412b1cc9e8eb3bd0cfa2ab8dc7a1e5 3869 fonts-samyak_1.2.2-3.debian.tar.gz
 97224e6bb8b711db6399274010343d70f0b1fa92 4562 fonts-samyak_1.2.2-3_all.deb
 a5646f32451204800db41b5355635e0d6ae8b856 66476 fonts-samyak-deva_1.2.2-3_all.deb
 b29f03bf40393d7e09530cd96afe64cc1bf42e83 53120 fonts-samyak-gujr_1.2.2-3_all.deb
 527ffcd481f854c4bd6c888311804b977171ae1f 30048 fonts-samyak-mlym_1.2.2-3_all.deb
 434fc8d080df100d95f9be3e20e6e6ee14b384d0 66518 fonts-samyak-orya_1.2.2-3_all.deb
 de52decfd4f6fa5fb0abb0240711db06041778e0 25994 fonts-samyak-taml_1.2.2-3_all.deb
 aaf24ea6c376df6a6e97af3372156bdd0ea779ef 20652 fonts-taml-udeb_1.2.2-3_all.udeb
Checksums-Sha256: 
 888c74b17b36e29a1cf5c37d80ee54a62c70039a27559aa09b3c0eda6540a99c 1670 fonts-samyak_1.2.2-3.dsc
 e65448e6a2feffcac018817526089ac34b200ce4c17c301f9091fafebab69fbc 3869 fonts-samyak_1.2.2-3.debian.tar.gz
 e364612be47c1f422da48e142e093e668dcd64747882756f420c7c35660c07d0 4562 fonts-samyak_1.2.2-3_all.deb
 6782b00137e05a6b78db885eb94d547dcee0596192f735ac2a8282c48e3ab74d 66476 fonts-samyak-deva_1.2.2-3_all.deb
 66bbf200c849cfdfdf077fa6852fceef54e72d970cf3513d4801801e280b17d9 53120 fonts-samyak-gujr_1.2.2-3_all.deb
 2cfaa19ce7d89783ba02215455c16b4fd54bef0179a0a84300d0b20c8e6b7561 30048 fonts-samyak-mlym_1.2.2-3_all.deb
 a6a647b32bebea6ae095fc82e8200c5bc5d1089a544cf33fc6f522db7ff33deb 66518 fonts-samyak-orya_1.2.2-3_all.deb
 e07e5f61641fe1791f26b8166e8740877f85b9df3e790868e6628b1aceab9c41 25994 fonts-samyak-taml_1.2.2-3_all.deb
 c0eb802451b7f16959edf425c9a386bb26c6c954781e8af1a5de82d504839d47 20652 fonts-taml-udeb_1.2.2-3_all.udeb
Files: 
 9e066008ba1da42781bdd028891d0698 1670 fonts optional fonts-samyak_1.2.2-3.dsc
 56a6e433fe799c7e6557f330d2c6b88f 3869 fonts optional fonts-samyak_1.2.2-3.debian.tar.gz
 e82cb0401518ae19ad48ba8a08206079 4562 fonts optional fonts-samyak_1.2.2-3_all.deb
 44004df88ac287e09718aa06b9c74277 66476 fonts optional fonts-samyak-deva_1.2.2-3_all.deb
 341493576c6ed25cd2879217dac376df 53120 fonts optional fonts-samyak-gujr_1.2.2-3_all.deb
 04e02626059df94603ab0c497105fd09 30048 fonts optional fonts-samyak-mlym_1.2.2-3_all.deb
 deaeeef046c8158e9b38306caee86474 66518 fonts optional fonts-samyak-orya_1.2.2-3_all.deb
 54731affc1997aae86aa2472c23f6f8a 25994 fonts optional fonts-samyak-taml_1.2.2-3_all.deb
 da9b3aeb41bd2c8bd41644dd04fc53bc 20652 debian-installer optional fonts-taml-udeb_1.2.2-3_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBUuBsACgkQoRg/jtECjI2TMQCeOw2t10nMLgNgdko2eSj+8sub
Ft8AoK4eU2pzvezEOUICAsNRCpRRsMkd
=Qj5W
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Oct 2012 07:27:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:37:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.